<template>
  <b-button
    class="btn"
    :variant="variant"
    :disabled="disabled"
    :class="{ 'loading-xs loading-xs_blue': loading, customClass }"
    @click="$emit('onClick')"
  >
    {{title}}
  </b-button>
</template>

<script>
export default {
    props: {
        title: {
            type: String,
        },
        disabled: {
            type: Boolean,
            default: false,
        },
        customClass: {
            type: String,
        },
        variant: {
            type: String,
            default: 'primary'
        },
        loading: {
            type: Boolean,
            default: false,
        }
    },
}
</script>


<style lang="scss" scoped>
.btn {
  &:disabled {
    background: #c1c1c1;
    border: none;
  }
  &.loading-xs {
    background: #fff;
    &::after {
      width: 34px;
      height: 34px;
      transform: translate(-50%, -50%);
      margin: 0;
      background-size: 100%;
    }
    &::before {
      background: none;
    }
  }
}
</style>